<ng-container *ngIf="benchmark; else elseBlock">
    <div class="flex-center row">
        <img [src]="imageLinksService.getBenchmarkImage(benchmark.uuid)"
             [alt]="benchmark.name"
             loading="lazy"
             style="width: 5em; height: 5em; padding: 1em;">
        <h2 class="flex-center column">
            {{benchmark.name}}
            <div class="boxed-value">{{benchmark.scoreSpecification.unit}}</div>
        </h2>
    </div>
    <hr/>
    <div class="flex-center column">
        <h2>Tasks flow</h2>
        <div *ngFor="let benchmarkTask of benchmark.tasks" class="flex-center column">
            <app-group-box [title]="benchmarkTask.task.name">
                <div class="flex-center column">
                    <app-group-box *ngIf="benchmarkTask.task.input" [title]="'Input'">
                        <div class="details-grid">
                            <b>Name:</b>
                            <div class="reduced-text">{{benchmarkTask.task.input.name}}</div>

                            <b>Description:</b>
                            <div class="reduced-text">{{benchmarkTask.task.input.description}}</div>

                            <b>Unit:</b>
                            <div class="reduced-text">{{benchmarkTask.task.input.unit}}</div>
                        </div>
                    </app-group-box>
                    <div class="flex-center row">
                        <div class="details-grid benchmark-task-details">
                            <b>Description:</b>
                            <div class="reduced-text">{{benchmarkTask.task.description}}</div>

                            <b>Multi threaded:</b>
                            <div class="reduced-text">{{benchmarkTask.canBeMultiThreaded}}</div>

                            <b>Optional:</b>
                            <div class="reduced-text">{{benchmarkTask.canBeDisabled}}</div>

                            <b>Counted on results:</b>
                            <div class="reduced-text">{{benchmarkTask.isCountedOnResults}}</div>

                            <b>Iterations:</b>
                            <div class="reduced-text">{{benchmarkTask.iterationsToRun}}</div>
                        </div>
                        <div>
                            <strong>{{benchmarkTask.task.result.name}} in </strong>
                            <h3 class="boxed-value reduced-text">{{getResultUnit(benchmarkTask.task.result)}}</h3>
                        </div>
                    </div>

                    <app-group-box *ngIf="benchmarkTask.task.output" [title]="'Output'">
                        <div class="details-grid">
                            <b>Name:</b>
                            <div class="reduced-text">{{benchmarkTask.task.output.name}}</div>

                            <b>Description:</b>
                            <div class="reduced-text">{{benchmarkTask.task.output.description}}</div>

                            <b>Unit:</b>
                            <div class="reduced-text">{{benchmarkTask.task.output.unit}}</div>
                        </div>
                    </app-group-box>
                </div>
            </app-group-box>
            <img class="benchmark-arrow"
                 src="./assets/down-arrow-dark.svg"
                 alt="arrow pointing down"
                 loading="lazy">
        </div>
        <h2>End</h2>
    </div>
</ng-container>
<ng-template #elseBlock>
    No operating system.
</ng-template>

